=== debian/watch ===
version=3
http://download.kde.org/stable/akonadi/src/akonadi-([\d.]+).tar.xz
