=== debian/control ===
--- 
+++ 
@@ -10,21 +10,20 @@
                cmake (>= 2.8.8),
                debhelper (>= 9),
                dh-apparmor,
-               libboost-program-options-dev,
-               libdbus-1-dev,
+               extra-cmake-modules (>= 5.12.0),
                libmysqlclient-dev,
-               libqt4-dev (>= 4:4.8.0),
-               libsoprano-dev (>= 2.7.56),
                libsqlite3-dev (>= 3.6.23),
-               libxslt-dev,
+               libxml2-utils,
+               pkg-config,
                pkg-kde-tools (>= 0.12),
+               qtbase5-dev (>= 5.2.0),
                shared-mime-info (>= 0.20),
                xsltproc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://pim.kde.org/akonadi
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-req/akonadi.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-req/akonadi.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/akonadi.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/akonadi.git
 
 Package: akonadi-server
 Section: net
@@ -32,8 +31,7 @@
 Depends: akonadi-backend-mysql (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: akonadi-backend-mysql (= ${source:Version}),
-          akonadi-backend-postgresql (= ${source:Version}),
+Suggests: akonadi-backend-postgresql (= ${source:Version}),
           akonadi-backend-sqlite (= ${binary:Version})
 Description: Akonadi PIM storage service
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
@@ -42,12 +40,10 @@
  .
  This package contains the Akonadi PIM storage server and associated programs.
 
-Package: libakonadiprotocolinternals1
+Package: libkf5akonadiprivate5
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: akonadi-server (= ${binary:Version})
-Replaces: libakonadiprivate1 (<< 1.4.90)
-Breaks: kdepim-runtime (<< 4:4.13), libakonadiprivate1 (<< 1.4.90)
 Description: libraries for the Akonadi PIM storage service
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
  storage service. It provides a common framework for applications to store and
@@ -55,14 +51,10 @@
  .
  This package contains libraries used by the Akonadi PIM storage service.
 
-Package: libakonadi-dev
+Package: libkf5akonadiserver-dev
 Section: libdevel
 Architecture: any
-Depends: libakonadiprotocolinternals1 (= ${binary:Version}),
-         libboost-dev,
-         libqt4-dev (>= 4:4.8.0),
-         ${misc:Depends}
-Suggests: pkg-config
+Depends: libkf5akonadiprivate5 (= ${binary:Version}), ${misc:Depends}
 Description: development files for the Akonadi PIM storage service
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
  storage service. It provides a common framework for applications to store and
@@ -74,7 +66,7 @@
 Package: akonadi-backend-mysql
 Section: misc
 Architecture: all
-Depends: libqt4-sql-mysql,
+Depends: libqt5sql5-mysql,
          mysql-client-core-5.6 | virtual-mysql-client-core,
          mysql-server-core-5.6 | virtual-mysql-server-core,
          ${misc:Depends}
@@ -94,7 +86,7 @@
 Package: akonadi-backend-postgresql
 Section: misc
 Architecture: all
-Depends: libqt4-sql-psql, ${misc:Depends}
+Depends: libqt5sql5-psql, ${misc:Depends}
 Recommends: akonadi-server, postgresql
 Replaces: akonadi-server (<< 1.3.60~)
 Breaks: akonadi-server (<< 1.3.60~)
@@ -112,7 +104,7 @@
 Section: misc
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
 Recommends: akonadi-server
 Description: SQLite storage backend for Akonadi
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
