=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,14 @@
 export DEB_CFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden
 export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden
 
-include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
-include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk
 
 backend_packages = $(filter akonadi-backend-%,$(shell dh_listpackages))
 
 override_dh_auto_configure:
-	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi \
-	    -DINSTALL_QSQLITE_IN_QT_PREFIX=ON \
-	    -DCONFIG_INSTALL_DIR=/etc
+	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi
 
 override_dh_installinit:
 	$(overridden_command)
