=== src/CMakeLists.txt ===
add_subdirectory(agentserver)
add_subdirectory(akonadicontrol)
add_subdirectory(akonadictl)
if(NOT WIN32)
    add_subdirectory(asapcat)
endif()
add_subdirectory(private)
add_subdirectory(interfaces)
if(SQLITE_FOUND)
    add_subdirectory(qsqlite)
endif()
add_subdirectory(rds)
add_subdirectory(server)
add_subdirectory(shared)
