=== debian/changelog ===
akonadi (4:15.12.3-0ubuntu6) xenial; urgency=medium

  * kubuntu_fix_mysql_db_creation_57.diff:
    Fix MySQL DB first run setup (LP: #1572100)
    (Thanks to Lars Tangvald for the patches)
  * Add DEP3 headers for kubuntu_disable_secure_file_priv_check.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 20 Apr 2016 10:25:18 +0200

akonadi (4:15.12.3-0ubuntu5) xenial; urgency=medium

  * kubuntu_disable_secure_file_priv_check.diff: 
    - Set secure_file_priv to empty as that directory is not set in a default
      kubuntu install

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 18 Apr 2016 15:24:43 +0200

akonadi (4:15.12.3-0ubuntu4) xenial; urgency=medium

  * Bring in Robie Basak commits made in launchpad...
  * Release to archive. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 16 Apr 2016 12:42:02 -0700

akonadi (4:15.12.3-0ubuntu1) xenial; urgency=medium
  
  * New upstream bugfix release
      * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:44:15 -0700

akonadi (4:15.12.1-0ubuntu4) xenial; urgency=medium

  * Depend on mysql-{server,client}-core-5.7, not 5.6, for the switch to
    MySQL 5.7.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 12 Apr 2016 14:33:29 +0000

akonadi (4:15.12.1-0ubuntu3) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:11:54 +0000

akonadi (4:15.12.1-0ubuntu2) xenial; urgency=medium

  * Fix the broken debian merge:
    - make akonadi-backend-mysql a hard-dep for akonadi-server
    - make akonadi-backend-mysql dep on mysql server core

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 10 Mar 2016 13:16:40 +0100

akonadi (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * No changes, trigger rebuild.

  [ Philip Muškovac ]
  * Merge with debian git master
  * Add postgresql 9.5 support to postgresql9.4.patch and rename it to
    postgresql9.5.patch 
  * Adapt postgresql-data-checksums.patch and postgresql9.5.patch to code
    changes

  [ Scarlett Clark ]
  * No changes, trigger rebuild with new kolab. 

  [ Scarlett Clark ]
  * Lower the breaks/replace to the version of failure for kdepimlibs-bin 
  * Add breaks/replace in archive release. 
  * Use strictly earlier than current release on break/replace for kdepimlibs-bin. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:19:51 +0100

akonadi (4:15.08.2-0ubuntu3) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 02 Dec 2015 12:20:00 +0200

akonadi (4:15.08.2-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:26 +0100

akonadi (15.08.0-1) experimental; urgency=medium

  * New upstream release (15.07.90).
  * New upstream release (15.08.0).
  * Remove upstream patches.
  * Refresh patches.
  * Update copyright file.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Sep 2015 21:41:58 +0200

akonadi (1.13.0-8) unstable; urgency=medium

  * Team upload.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 29 Aug 2015 00:41:28 +0200

akonadi (1.13.0-7) unstable; urgency=medium

  * Team upload.
  * Removed some patches introduced in previous upload due to regressions
    causing invalid SQL commands.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Jul 2015 12:30:32 +1000

akonadi (1.13.0-6) unstable; urgency=medium

  * Team upload.
  * New "upstream-MOVEcomplete.patch" (fixes deadlock).
  * Bunch of optimisation patches from upstream 1.13 branch.
  * Install "akonadictl.1" man page.
  * copyright: reviewed, converted to copyright-format-1.0 and updated.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Jul 2015 03:26:42 +1000

akonadi (1.13.0-5) unstable; urgency=medium

  * Team upload.
  * New upstream patches:
    + upstream-use-QAtomicInt.patch
    + upstream-prevent-QTimer-negative-interval.patch
  * Initialise PSQL database with "--data-checksums" (Closes: #791807).
  * Build-Depends: removed "mysql-server-core" (not needed on build time).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 19 Jul 2015 20:31:33 +1000

akonadi (1.13.0-4) unstable; urgency=medium

  * Team upload.
  * backend-mysql: depend on MySQL-5.6 or any MySQL flavour (Closes: #746651)
    Depends:
    - mysql-server-core-5.5 | mysql-server-core
    + mysql-server-core-5.6 | virtual-mysql-server-core
  * Standards-Version: 3.9.6.
  * xs-testsuite-header-in-debian-control: removed "XS-Testsuite" header.
  * Updated Vcs-Browser URL.
  * Patches renamed to consistently end with ".patch".
  * New patch to add PostgreSQL 9.4 search path (Closes: #791805).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jul 2015 23:56:38 +1000

akonadi (1.13.0-3) unstable; urgency=medium

  * Team upload.
  * Apply upstream_dont_leak_old_external_payload_files.patch which fixes a bug
    that let old files be kept when they should be removed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 30 Jun 2015 12:03:32 -0300
