=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
                shared-mime-info (>= 0.20),
                xsltproc
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://pim.kde.org/akonadi
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/akonadi.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/akonadi.git
@@ -31,6 +30,8 @@
 Depends: akonadi-backend-mysql (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: kdepimlibs-bin (<< 15.12.1~)
+Replaces: kdepimlibs-bin (<< 15.12.1~)
 Suggests: akonadi-backend-postgresql (= ${source:Version}),
           akonadi-backend-sqlite (= ${binary:Version})
 Description: Akonadi PIM storage service
@@ -55,6 +56,8 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5akonadiprivate5 (= ${binary:Version}), ${misc:Depends}
+Breaks: libakonadi-dev
+Replaces: libakonadi-dev
 Description: development files for the Akonadi PIM storage service
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
  storage service. It provides a common framework for applications to store and
@@ -67,8 +70,8 @@
 Section: misc
 Architecture: all
 Depends: libqt5sql5-mysql,
-         mysql-client-core-5.6 | virtual-mysql-client-core,
-         mysql-server-core-5.6 | virtual-mysql-server-core,
+         mysql-client-core-5.7 | virtual-mysql-client-core,
+         mysql-server-core-5.7 | virtual-mysql-server-core,
          ${misc:Depends}
 Recommends: akonadi-server
 Replaces: akonadi-server (<< 1.3.60~)
