=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 backend_packages = $(filter akonadi-backend-%,$(shell dh_listpackages))
 
 override_dh_auto_configure:
-	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi
+	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi \
+	    -DINSTALL_QSQLITE_IN_QT_PREFIX=ON
 
 override_dh_installinit:
 	$(overridden_command)
